demos / DemoClock

# DemoClock

`class DemoClock : Clock`

A Clock that can have the date advanced for use in demos

### Constructors

<init> | `DemoClock(delegateClock: Clock = Clock.systemUTC())` A Clock that can have the date advanced for use in demos

### Functions

getZone | `fun getZone(): ZoneId`
instant | `fun instant(): Instant`
updateDate | `fun updateDate(date: LocalDate): Boolean`
withZone | `fun withZone(zone: ZoneId): Clock`